package cn.iocoder.yudao.module.reward.api.reward.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("管理后台 - 礼品兑换 Response VO")
public class RedeemRewardRespDTO {
    @ApiModelProperty(value = "兑换操作结果")
    private Boolean exchangeResult;

    @ApiModelProperty(value = "兑换操作详情中文")
    private String msgZh;
    @ApiModelProperty(value = "兑换操作详情英文")
    private String msgEn;

    @ApiModelProperty(value = "会员id")
    @NotNull(message = "会员id不能为空")
    private Long memberId;

    @NotNull(message = "业务节点不能为空")
    private String nodeValue;

    @NotNull(message = "是否匹配运输方式不能为空")
    private Integer isTransport;

    @NotNull(message = "运输方式不能空")
    private Integer transportId;

    @NotNull(message = "是否多订单不能为空")
    private Integer isOrders;

    @NotNull(message = "发送类型不能为空")
    private Integer messageType;
}
