package cn.iocoder.yudao.module.reward.enums;

public enum QuantitativeRelationSymbolEnum {
    GT(1, "大于"),
    EQ(2, "等于"),
    LT(3, "小于");

    private final int value;
    private final String name;

    QuantitativeRelationSymbolEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public int getValue() {
        return value;
    }

    public String getName() {
        return name;
    }
}
