package cn.iocoder.yudao.module.reward.enums;

public enum RewardRedeemStatusEnum {
    REDEEMING(1, "兑换中"),
    REDEEMED(2, "已兑换"),
    CANCELED(3, "已取消")
    ;

    private final int value;
    private final String name;

    RewardRedeemStatusEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public int getValue() {
        return value;
    }

    public String getName() {
        return name;
    }
}
